> For the complete documentation index, see [llms.txt](https://docs.swapped.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swapped.com/swapped-ramp/readme/onramp-aggregator-partners.md).

# Onramp Aggregator Partners

Aggregator integrations bypass the widget's index and confirmation pages. The user flow depends on which parameters you include.

### Flow Types

#### Onramp Flow (Direct to Summary)

When all required parameters are provided, users skip directly to the summary screen.

* <mark style="color:$danger;">**`currencyCode`**</mark>
* <mark style="color:$danger;">**`baseCurrencyCode`**</mark>
* <mark style="color:$danger;">**`baseCurrencyAmount`**</mark>
* <mark style="color:$danger;">**`method`**</mark>

#### Optional Parameters

* <mark style="color:$danger;">**`walletAddress`**</mark> : Skips wallet entry screen
* <mark style="color:$danger;">**`destinationTag`**</mark> : Skips tag entry screen
* <mark style="color:$danger;">**`submerchant`**</mark>: Sub merchant identifier for multi-tenant setups

### Examples

**Direct to summary (all parameters):**

{% code overflow="wrap" %}

```
?apiKey=pk_live_xxx&currencyCode=BTC&walletAddress=yourBtcAddress&baseCurrencyCode=USD&baseCurrencyAmount=100&method=creditcard
```

{% endcode %}

**Manual wallet entry (no address):**

{% code overflow="wrap" %}

```
?apiKey=pk_live_xxx&currencyCode=BTC&baseCurrencyCode=USD&baseCurrencyAmount=100&method=creditcard
```

{% endcode %}

**XRP with manual tag entry:**

{% code overflow="wrap" %}

```
?apiKey=pk_live_xxx&currencyCode=XRP&walletAddress=yourXrpAddress&baseCurrencyCode=USD&
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.swapped.com/swapped-ramp/readme/onramp-aggregator-partners.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
